Bug 50816 - should own /usr/lib/perl5/site_perl/5.6.0/HTML directory
Summary: should own /usr/lib/perl5/site_perl/5.6.0/HTML directory
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-HTML-Tagset (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 16:01 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 08:45:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-08-03 16:01:36 UTC
perl-HTML-Tagset creates files in /usr/lib/perl5/site_perl/5.6.0/HTML but
does not own this dir. Therefore, upgrading creates warnings like

| Warnung: /usr/lib/perl5/site_perl/5.6.0/HTML directory created with perms
0755.

Similar reports can be written for a lot of the other perl-XXX packages.
Shall I write reports for them also?

Comment 1 Glen Foster 2001-08-06 22:28:20 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 2 Crutcher Dunnavant 2001-08-10 03:17:46 UTC
There is no one package which can rightly own one of these dirctories. Perl uses
these for /classes/ of modules.

Comment 3 Enrico Scholz 2001-08-10 08:44:48 UTC
Directories can be owned by multiple packages. Therefore, either make all
HTML::* packages the owner of the .../site_perl/5.6.0/HTML directory, or provide
a meta-packages providing this dir and add requirements on this packages.

Currently the site_perl directory is messed up by a lot of empty and unowned
directories, when perl-XXX packages are removed.

Comment 4 Crutcher Dunnavant 2001-08-10 22:11:20 UTC
and if you install perl tarballs? No, not changing it.


Note You need to log in before you can comment on or make changes to this bug.